com.genesyslab.wfm8.API.service.config812

## Class CfgExceptionType

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgExceptionType

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgExceptionType
      extends java.lang.Object
      implements java.io.Serializable

  Exception Type information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` A timestamp value -- marks the point in time when Object information was obtained
    `protected boolean` | `wmAgentInit` Specifies whether Exception can be agent initiated or not.
    `protected boolean` | `wmBreaksDuringException` Specifies whether breaks are allowed during exception
    `protected int` | `wmBUId`
    `protected int` | `wmColor` Schedule state RGB color value.
    `protected boolean` | `wmConvertable2DayOff` Is convertable to Day Off? (true/false)
    `protected double` | `wmEndDate` Secifies end of date range when agent can initiate the exception.
    `protected int` | `wmExceptionTypeId` Exception Type ID
    `protected int` | `wmFontColor` Schedule state font RGB color value.
    `protected boolean` | `wmFullDay` Is full-day? (true/false)
    `protected java.lang.String` | `wmName` Time Off Type Name
    `protected boolean` | `wmOnsite` Is on-site? (true/false)
    `protected boolean` | `wmPaid` Is Exception paid? (true/false)
    `protected java.lang.String` | `wmShortName` Time Off Type Short Name
    `protected java.util.List<java.lang.Integer>` | `wmSiteId` Site IDs--identifies `CfgSite` object
    `protected int` | `wmSiteIdNSizeIs`
    `protected double` | `wmStartDate` Secifies start of date range when agent can initiate the exception.
    `protected int` | `wmTimeOffTypeId` Time Off Type ID, if wmUsedAsVacation = true
    `protected int` | `wmTradeRule` Trading Rule (`ECfgTradeRule`)
    `protected boolean` | `wmUsedAsVacation` Is used as Time Off? (true/false)
    `protected boolean` | `wmUsedInMeeting` Used as a Meeting? (true/false)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgExceptionType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmColor()` Gets the value of the wmColor property.
    `double` | `getWmEndDate()` Gets the value of the wmEndDate property.
    `int` | `getWmExceptionTypeId()` Gets the value of the wmExceptionTypeId property.
    `int` | `getWmFontColor()` Gets the value of the wmFontColor property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.lang.String` | `getWmShortName()` Gets the value of the wmShortName property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `double` | `getWmStartDate()` Gets the value of the wmStartDate property.
    `int` | `getWmTimeOffTypeId()` Gets the value of the wmTimeOffTypeId property.
    `int` | `getWmTradeRule()` Gets the value of the wmTradeRule property.
    `int` | `hashCode()`
    `boolean` | `isWmAgentInit()` Gets the value of the wmAgentInit property.
    `boolean` | `isWmBreaksDuringException()` Gets the value of the wmBreaksDuringException property.
    `boolean` | `isWmConvertable2DayOff()` Gets the value of the wmConvertable2DayOff property.
    `boolean` | `isWmFullDay()` Gets the value of the wmFullDay property.
    `boolean` | `isWmOnsite()` Gets the value of the wmOnsite property.
    `boolean` | `isWmPaid()` Gets the value of the wmPaid property.
    `boolean` | `isWmUsedAsVacation()` Gets the value of the wmUsedAsVacation property.
    `boolean` | `isWmUsedInMeeting()` Gets the value of the wmUsedInMeeting property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmAgentInit(boolean value)` Sets the value of the wmAgentInit property.
    `void` | `setWmBreaksDuringException(boolean value)` Sets the value of the wmBreaksDuringException property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmColor(int value)` Sets the value of the wmColor property.
    `void` | `setWmConvertable2DayOff(boolean value)` Sets the value of the wmConvertable2DayOff property.
    `void` | `setWmEndDate(double value)` Sets the value of the wmEndDate property.
    `void` | `setWmExceptionTypeId(int value)` Sets the value of the wmExceptionTypeId property.
    `void` | `setWmFontColor(int value)` Sets the value of the wmFontColor property.
    `void` | `setWmFullDay(boolean value)` Sets the value of the wmFullDay property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmOnsite(boolean value)` Sets the value of the wmOnsite property.
    `void` | `setWmPaid(boolean value)` Sets the value of the wmPaid property.
    `void` | `setWmShortName(java.lang.String value)` Sets the value of the wmShortName property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmStartDate(double value)` Sets the value of the wmStartDate property.
    `void` | `setWmTimeOffTypeId(int value)` Sets the value of the wmTimeOffTypeId property.
    `void` | `setWmTradeRule(int value)` Sets the value of the wmTradeRule property.
    `void` | `setWmUsedAsVacation(boolean value)` Sets the value of the wmUsedAsVacation property.
    `void` | `setWmUsedInMeeting(boolean value)` Sets the value of the wmUsedInMeeting property.
    `java.lang.String` | `toString()`
    `CfgExceptionType` | `withTimestamp(long value)`
    `CfgExceptionType` | `withWmAgentInit(boolean value)`
    `CfgExceptionType` | `withWmBreaksDuringException(boolean value)`
    `CfgExceptionType` | `withWmBUId(int value)`
    `CfgExceptionType` | `withWmColor(int value)`
    `CfgExceptionType` | `withWmConvertable2DayOff(boolean value)`
    `CfgExceptionType` | `withWmEndDate(double value)`
    `CfgExceptionType` | `withWmExceptionTypeId(int value)`
    `CfgExceptionType` | `withWmFontColor(int value)`
    `CfgExceptionType` | `withWmFullDay(boolean value)`
    `CfgExceptionType` | `withWmName(java.lang.String value)`
    `CfgExceptionType` | `withWmOnsite(boolean value)`
    `CfgExceptionType` | `withWmPaid(boolean value)`
    `CfgExceptionType` | `withWmShortName(java.lang.String value)`
    `CfgExceptionType` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgExceptionType` | `withWmSiteId(java.lang.Integer... values)`
    `CfgExceptionType` | `withWmSiteIdNSizeIs(int value)`
    `CfgExceptionType` | `withWmStartDate(double value)`
    `CfgExceptionType` | `withWmTimeOffTypeId(int value)`
    `CfgExceptionType` | `withWmTradeRule(int value)`
    `CfgExceptionType` | `withWmUsedAsVacation(boolean value)`
    `CfgExceptionType` | `withWmUsedInMeeting(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmExceptionTypeId

          protected int wmExceptionTypeId

      Exception Type ID

    - #### wmBUId

          protected int wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

      Site IDs--identifies `CfgSite` object

    - #### wmName

          protected java.lang.String wmName

      Time Off Type Name

    - #### wmShortName

          protected java.lang.String wmShortName

      Time Off Type Short Name

    - #### wmUsedInMeeting

          protected boolean wmUsedInMeeting

      Used as a Meeting? (true/false)

    - #### wmPaid

          protected boolean wmPaid

      Is Exception paid? (true/false)

    - #### wmOnsite

          protected boolean wmOnsite

      Is on-site? (true/false)

    - #### wmFullDay

          protected boolean wmFullDay

      Is full-day? (true/false)

    - #### wmConvertable2DayOff

          protected boolean wmConvertable2DayOff

      Is convertable to Day Off? (true/false)

    - #### wmUsedAsVacation

          protected boolean wmUsedAsVacation

      Is used as Time Off? (true/false)

    - #### wmTimeOffTypeId

          protected int wmTimeOffTypeId

      Time Off Type ID, if wmUsedAsVacation = true

    - #### wmTradeRule

          protected int wmTradeRule

      Trading Rule (`ECfgTradeRule`)

    - #### wmColor

          protected int wmColor

      Schedule state RGB color value. A value of -1 stands for NULL.

    - #### wmFontColor

          protected int wmFontColor

      Schedule state font RGB color value. a value of -1 stands for NULL.

    - #### wmAgentInit

          protected boolean wmAgentInit

      Specifies whether Exception can be agent initiated or not.

    - #### wmStartDate

          protected double wmStartDate

      Secifies start of date range when agent can initiate the exception. `OleDateTime`

    - #### wmEndDate

          protected double wmEndDate

      Secifies end of date range when agent can initiate the exception. `OleDateTime`

    - #### wmBreaksDuringException

          protected boolean wmBreaksDuringException

      Specifies whether breaks are allowed during exception

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks the point in time when Object information was obtained

  - ### Constructor Detail

    - #### CfgExceptionType

          public CfgExceptionType()

  - ### Method Detail

    - #### getWmExceptionTypeId

          public int getWmExceptionTypeId()

      Gets the value of the wmExceptionTypeId property.

    - #### setWmExceptionTypeId

          public void setWmExceptionTypeId(int value)

      Sets the value of the wmExceptionTypeId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the value of the wmShortName property.
      Returns:
        possible object is `String`

    - #### setWmShortName

          public void setWmShortName(java.lang.String value)

      Sets the value of the wmShortName property.
      Parameters:
        `value` - allowed object is `String`

    - #### isWmUsedInMeeting

          public boolean isWmUsedInMeeting()

      Gets the value of the wmUsedInMeeting property.

    - #### setWmUsedInMeeting

          public void setWmUsedInMeeting(boolean value)

      Sets the value of the wmUsedInMeeting property.

    - #### isWmPaid

          public boolean isWmPaid()

      Gets the value of the wmPaid property.

    - #### setWmPaid

          public void setWmPaid(boolean value)

      Sets the value of the wmPaid property.

    - #### isWmOnsite

          public boolean isWmOnsite()

      Gets the value of the wmOnsite property.

    - #### setWmOnsite

          public void setWmOnsite(boolean value)

      Sets the value of the wmOnsite property.

    - #### isWmFullDay

          public boolean isWmFullDay()

      Gets the value of the wmFullDay property.

    - #### setWmFullDay

          public void setWmFullDay(boolean value)

      Sets the value of the wmFullDay property.

    - #### isWmConvertable2DayOff

          public boolean isWmConvertable2DayOff()

      Gets the value of the wmConvertable2DayOff property.

    - #### setWmConvertable2DayOff

          public void setWmConvertable2DayOff(boolean value)

      Sets the value of the wmConvertable2DayOff property.

    - #### isWmUsedAsVacation

          public boolean isWmUsedAsVacation()

      Gets the value of the wmUsedAsVacation property.

    - #### setWmUsedAsVacation

          public void setWmUsedAsVacation(boolean value)

      Sets the value of the wmUsedAsVacation property.

    - #### getWmTimeOffTypeId

          public int getWmTimeOffTypeId()

      Gets the value of the wmTimeOffTypeId property.

    - #### setWmTimeOffTypeId

          public void setWmTimeOffTypeId(int value)

      Sets the value of the wmTimeOffTypeId property.

    - #### getWmTradeRule

          public int getWmTradeRule()

      Gets the value of the wmTradeRule property.

    - #### setWmTradeRule

          public void setWmTradeRule(int value)

      Sets the value of the wmTradeRule property.

    - #### getWmColor

          public int getWmColor()

      Gets the value of the wmColor property.

    - #### setWmColor

          public void setWmColor(int value)

      Sets the value of the wmColor property.

    - #### getWmFontColor

          public int getWmFontColor()

      Gets the value of the wmFontColor property.

    - #### setWmFontColor

          public void setWmFontColor(int value)

      Sets the value of the wmFontColor property.

    - #### isWmAgentInit

          public boolean isWmAgentInit()

      Gets the value of the wmAgentInit property.

    - #### setWmAgentInit

          public void setWmAgentInit(boolean value)

      Sets the value of the wmAgentInit property.

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the value of the wmStartDate property.

    - #### setWmStartDate

          public void setWmStartDate(double value)

      Sets the value of the wmStartDate property.

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the value of the wmEndDate property.

    - #### setWmEndDate

          public void setWmEndDate(double value)

      Sets the value of the wmEndDate property.

    - #### isWmBreaksDuringException

          public boolean isWmBreaksDuringException()

      Gets the value of the wmBreaksDuringException property.

    - #### setWmBreaksDuringException

          public void setWmBreaksDuringException(boolean value)

      Sets the value of the wmBreaksDuringException property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmExceptionTypeId

          public CfgExceptionType withWmExceptionTypeId(int value)

    - #### withWmBUId

          public CfgExceptionType withWmBUId(int value)

    - #### withWmSiteIdNSizeIs

          public CfgExceptionType withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgExceptionType withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgExceptionType withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmName

          public CfgExceptionType withWmName(java.lang.String value)

    - #### withWmShortName

          public CfgExceptionType withWmShortName(java.lang.String value)

    - #### withWmUsedInMeeting

          public CfgExceptionType withWmUsedInMeeting(boolean value)

    - #### withWmPaid

          public CfgExceptionType withWmPaid(boolean value)

    - #### withWmOnsite

          public CfgExceptionType withWmOnsite(boolean value)

    - #### withWmFullDay

          public CfgExceptionType withWmFullDay(boolean value)

    - #### withWmConvertable2DayOff

          public CfgExceptionType withWmConvertable2DayOff(boolean value)

    - #### withWmUsedAsVacation

          public CfgExceptionType withWmUsedAsVacation(boolean value)

    - #### withWmTimeOffTypeId

          public CfgExceptionType withWmTimeOffTypeId(int value)

    - #### withWmTradeRule

          public CfgExceptionType withWmTradeRule(int value)

    - #### withWmColor

          public CfgExceptionType withWmColor(int value)

    - #### withWmFontColor

          public CfgExceptionType withWmFontColor(int value)

    - #### withWmAgentInit

          public CfgExceptionType withWmAgentInit(boolean value)

    - #### withWmStartDate

          public CfgExceptionType withWmStartDate(double value)

    - #### withWmEndDate

          public CfgExceptionType withWmEndDate(double value)

    - #### withWmBreaksDuringException

          public CfgExceptionType withWmBreaksDuringException(boolean value)

    - #### withTimestamp

          public CfgExceptionType withTimestamp(long value)

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.